Purchase Order id
Purchase Order Item id
Deletes specific Purchase Order Item by id
Purchase Order id
Purchase Order Item id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Item was deleted
Gets Receipt Variance Reason by id
Receipt Variance Reason id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Returns found Receipt Variance Reason
Receipt Variance Reason Model
Receipt Variance Reason Id.
Receipt Variance Reason name
>= 0 characters<= 100 characters
Is Receipt Variance Reason Enabled
Default:true
Created on
Modified on
Sample request:
PUT /receiptvariancereasons/1
{
"name": "new name",
"enabled": false
}
Receipt Variance Reason id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Receipt Variance Reason model
Receipt Variance Reason was updated
Receipt Variance Reason Model
Receipt Variance Reason Id.
Receipt Variance Reason name
>= 0 characters<= 100 characters
Is Receipt Variance Reason Enabled
Default:true
Created on
Modified on
Searches Receipt Variance Reasons by parameters
Filter by.
Available field name values: enabled
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432
Order by.
Available field name values: id, name, enabled, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname
Available direction values: asc, desc.
Example: id asc, product_id desc
>= 1<= 100000
>= 1<= 2147483647
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Paging Response with Receipt Variance Reasons data
Receipt Variance Reason Model